Bug 503729 - virsh freecell outputs incorrect unit of measurement
virsh freecell outputs incorrect unit of measurement
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Daniel Veillard
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-02 08:38 EDT by mnielsen
Modified: 2009-12-14 16:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:23:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mnielsen 2009-06-02 08:38:30 EDT
Description of problem:
virsh freecell command returns data in the format of kB
e.g. 0: 31653494784 kB
That is definitely not kilobytes, looks more like bytes to me. I'm using nagios to and an awk script to fix the math so PNP will graph the data, but it would be nice to have the proper unit shown in the output instead of having to awk it.

Version-Release number of selected component (if applicable):
libvirt-0.3.3-14.el5

How reproducible:
always

Steps to Reproduce:
1. type virsh freecell
2. observe the output
3.
  
Actual results:
output says it is kB, but the unit is actually bytes

Expected results:
print the proper unit of measurement

Additional info:
Comment 1 Daniel Veillard 2009-06-03 03:43:45 EDT
To be fixed as part of the libvirt rebase in RHEL-5.4:

[root@test2 ~]# virsh freecell
0: 74760 kB

[root@test2 ~]# free
             total       used       free     shared    buffers     cached
Mem:       4997140    4921884      75256          0     351884    4259828
-/+ buffers/cache:     310172    4686968
Swap:      1052248          0    1052248
[root@test2 ~]# rpm -q libvirt
libvirt-0.6.3-3.el5
[root@test2 ~]# 

You should be able to test this with the Beta of Update 4

Daniel
Comment 2 Nan Zhang 2009-06-04 07:17:03 EDT
[root@dhcp-66-70-85 ~]# virsh freecell
0: 392944 kB

[root@dhcp-66-70-85 ~]# free
             total       used       free     shared    buffers     cached
Mem:       3627008     719396    2907612          0      24052     348556
-/+ buffers/cache:     346788    3280220
Swap:            0          0          0


This bug has been verified with libvirt 0.6.3-3 on RHEL-5.4. Already fixed.
Comment 5 errata-xmlrpc 2009-09-02 05:23:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1269.html

Note You need to log in before you can comment on or make changes to this bug.